[arch-commits] Commit in munin/trunk (Makefile.config PKGBUILD keep-defaults.patch)

Dan McGee dan at archlinux.org
Thu May 13 17:22:44 UTC 2010


    Date: Thursday, May 13, 2010 @ 13:22:43
  Author: dan
Revision: 80221

upgpkg: munin 1.4.4-3
Fix versioned dep on perl; move from site->vendor; fix busted-ass build and Makefile

Added:
  munin/trunk/keep-defaults.patch
Modified:
  munin/trunk/Makefile.config
  munin/trunk/PKGBUILD

---------------------+
 Makefile.config     |    2 +-
 PKGBUILD            |   14 +++++++++-----
 keep-defaults.patch |   23 +++++++++++++++++++++++
 3 files changed, 33 insertions(+), 6 deletions(-)

Modified: Makefile.config
===================================================================
--- Makefile.config	2010-05-13 16:56:19 UTC (rev 80220)
+++ Makefile.config	2010-05-13 17:22:43 UTC (rev 80221)
@@ -94,7 +94,7 @@
 BASH       := /bin/bash
 
 # Server only - Where to install the perl libraries
-PERLSITELIB := $(shell $(PERL) -V:sitelib | cut -d"'" -f2)
+PERLSITELIB := $(shell $(PERL) -V:vendorlib | cut -d"'" -f2)
 PERLLIB    = $(DESTDIR)$(PERLSITELIB)
 
 # Client only - Install plugins for this architecture

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-05-13 16:56:19 UTC (rev 80220)
+++ PKGBUILD	2010-05-13 17:22:43 UTC (rev 80221)
@@ -5,14 +5,15 @@
 pkgname=('munin' 'munin-node')
 pkgbase=munin
 pkgver=1.4.4
-pkgrel=2
+pkgrel=3
 pkgdesc="A distributed monitoring/graphing tool"
 arch=('any')
 url="http://munin-monitoring.org/"
 license=("GPL")
-depends=('perl>=5.10.1' 'perl<5.10.2')
+depends=('perl' 'perl-log-log4perl')
 source=(http://downloads.sourceforge.net/sourceforge/munin/munin-$pkgver.tar.gz
         Makefile.config
+        keep-defaults.patch
         munin-cron-entry
         munin-node.init
         logrotate.munin
@@ -23,12 +24,14 @@
 build() { 
 	cd $srcdir/munin-$pkgver
 	cp $srcdir/Makefile.config $srcdir/$pkgname-$pkgver || exit 1
+	# This build is beyond fucked, also need to report this upstream
+	patch -Np1 < $srcdir/keep-defaults.patch || exit 1
 	# multithreading wrecks havoc on the build, should probably report this upstream
 	make -j1 PREFIX='' || exit 1
 }
 
 package_munin() {
-	depends=('perl>=5.10.1' 'perl<5.10.2' 'rrdtool' 'perl-html-template' 'perl-date-manip' 'perl-log-log4perl')
+	depends=('perl' 'rrdtool' 'perl-html-template' 'perl-date-manip' 'perl-log-log4perl')
 	backup=(etc/munin/munin.conf etc/logrotate.d/munin)
 	install=munin.install
 	cd $srcdir/munin-$pkgver
@@ -39,7 +42,7 @@
 }
 
 package_munin-node() {
-	depends=('perl>=5.10.1' 'perl<5.10.2' 'perl-net-server')
+	depends=('perl' 'perl-net-server')
 	optdepends=('perl-net-snmp: for SNMP plugins'
 	            'perl-net-ssleay: for SSL/TLS support')
 	backup=(etc/munin/munin-node.conf etc/logrotate.d/munin-node)
@@ -52,7 +55,8 @@
 }
 
 md5sums=('18d864fa04134ce67042a99dd3ec23ae'
-         '6ebc31eaa09734394606f7a1e19e38a5'
+         '5b444a99f8cdbfd3b4d51c1fd362b353'
+         '7d318c55b33680b14f236c5c06a0a64b'
          'dc9c83aa2a278466fb475364462f4119'
          '5da6940cd81ccb2734ae66081078abed'
          'db77b53150a906256a71a9f539c7fac2'

Added: keep-defaults.patch
===================================================================
--- keep-defaults.patch	                        (rev 0)
+++ keep-defaults.patch	2010-05-13 17:22:43 UTC (rev 80221)
@@ -0,0 +1,23 @@
+--- munin-1.4.4/Makefile.old	2010-05-13 12:17:36.000000000 -0500
++++ munin-1.4.4/Makefile	2010-05-13 12:19:06.000000000 -0500
+@@ -225,9 +225,9 @@
+ 
+ build-common-pre: common/Build
+ 	cd common && $(PERL) Build code
+-	rm -f common/blib/lib/Munin/Common/Defaults.pm
+ 
+ common/blib/lib/Munin/Common/Defaults.pm: common/lib/Munin/Common/Defaults.pm build-common-pre
++	rm -f common/blib/lib/Munin/Common/Defaults.pm
+ 	$(PERL) -pe 's{(PREFIX     \s+=\s).*}{\1q{$(PREFIX)};}x;   \
+                   s{(CONFDIR    \s+=\s).*}{\1q{$(CONFDIR)};}x;     \
+                   s{(BINDIR     \s+=\s).*}{\1q{$(BINDIR)};}x;      \
+@@ -383,9 +383,6 @@
+ build-%: %/Build
+ 	cd $* && $(PERL) Build
+ 
+-build-common: common/Build
+-	cd common && $(PERL) Build && rm -f common/blib/lib/Munin/Common/Defaults.pm && true
+-
+ 
+ # BUG: the Build script writes files under PWD when it does "install"
+ # can't seem to find a way to persuade it to write otherwhere.




More information about the arch-commits mailing list